---
title: Get Gateway URL
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[AI Gateway](https://developers.cloudflare.com/api/python/resources/ai_gateway)

[URLs](https://developers.cloudflare.com/api/python/resources/ai_gateway/subresources/urls)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Gateway URL

ai\_gateway.urls.get(strprovider, URLGetParams\*\*kwargs) -> [URLGetResponse](<https://developers.cloudflare.com/api/python/resources/ai_gateway#(resource)%20ai_gateway.urls%20%3E%20(model)%20url_get_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/ai-gateway/gateways/{gateway\_id}/url/{provider}

Retrieves the endpoint URL for an AI Gateway.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`AI Gateway Write``AI Gateway Read`

##### ParametersExpand Collapse

account\_id: str

[Link to this property](<#(resource)%20ai_gateway.urls%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

gateway\_id: str

Unique identifier of the AI Gateway within the account.

maxLength64

minLength1

[Link to this property](<#(resource)%20ai_gateway.urls%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20gateway_id%20%3E%20(schema)>)

provider: str

[Link to this property](<#(resource)%20ai_gateway.urls%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20provider%20%3E%20(schema)>)

##### ReturnsExpand Collapse

str

[Link to this property](<#(resource)%20ai_gateway.urls%20%3E%20(model)%20url_get_response%20%3E%20(schema)>)

### Get Gateway URL

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
url = client.ai_gateway.urls.get(
    provider="workers-ai",
    account_id="0d37909e38d3e99c29fa2cd343ac421a",
    gateway_id="my-gateway",
)
print(url)
```

200 example

```
{
  "result": "result",
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": "result",
  "success": true
}
```